Package Details

Package: python-2.7.9+1
Product: python
SVN Revision: 42020
Effective SVN Revision (incl depedencies): 42020
Effective latest update: 25/05/2016-10:01
Lifecycle: operational
Lifecycle (spec): operational
State: OK
Validation State: OK
Inherited State: OK
Build State: OK
Test State: OK

Dependency Graph

Remark: The dependency graph depicts for packages dependant on python-2.7.9+1 only the latest version per product. Furthermore, test dependencies are not visible.

Listed Dependencies (main)

sqlite-3080002+0 OK
tk-8.5.17+1 OK

For a list with all direct and indirect dependencies and dependants (main and test) see all dependencies.

Messages:

OK Package validated, build and test status ok.

All Reports

build desbuild 25/05/2016-10:05 OK

Table File

1 setupRequired(sqlite 3080002+0)
2 setupRequired(tk 8.5.17+1)
3 envPrepend(PATH, ${PRODUCT_DIR}/bin)
4 envPrepend(LD_LIBRARY_PATH, ${PRODUCT_DIR}/lib)
5 envPrepend(PKG_CONFIG_PATH, ${PRODUCT_DIR}/lib/pkgconfig)

Build File

1 #!/usr/bin/env bash
2 wget $EXTERNAL/$PRODUCT/$PRODUCT-$VERSION.tar.gz
3 tar xzf $PRODUCT-$VERSION.tar.gz
4 cd Python-$VERSION
5 # To make sure we see SQLite and Tk/Tcl
6 export LDFLAGS="-L$SQLITE_DIR/lib -L$TK_DIR/lib -L$TCL_DIR/lib"
7 export CPPFLAGS="-I$SQLITE_DIR/include -I$TK_DIR/include -I$TCL_DIR/include"
8
9 # Get Darwin cases and SDK PATH location
10 if [[ $FLAVOR =~ Darwin ]] ; then
11
12 ID=`id -Gn`
13 DARWIN_VERSION=`sw_vers -productVersion | awk -F"." '{printf "%s.%s\n",$1,$2}'` || echo "Cannot set Darwin version"
14 SDK_VERSION=macosx$DARWIN_VERSION
15 SDK_PATH=`xcodebuild -version -sdk $SDK_VERSION Path` || echo "Cannot set SKD path"
16
17 # Get patch for Darwin El Capitan (10.11), as described in:
18 # https://bugs.python.org/issue25136
19 # https://bugs.python.org/file40479/xcode-stubs-2.7.patch
20 if [[ $DARWIN_VERSION == 10.11 ]]; then
21 wget $EXTERNAL/$PRODUCT/xcode-stubs-2.7.patch
22 patch -p1 < xcode-stubs-2.7.patch
23 fi
24
25 # Check to make sure that the uses is an administrator (admin=80)
26 if [[ $ID =~ admin ]]; then
27 echo "ID is admin"
28 ./configure MACOSX_DEPLOYMENT_TARGET=$DARWIN_VERSION --prefix=$PRODUCT_DIR --enable-universalsdk=$SDK_PATH --with-universal-archs=intel --enable-framework=$PRODUCT_DIR/versions/2.7.9
29 else
30 echo "# Warning user is not an administrator, will not enable framework"
31 ./configure MACOSX_DEPLOYMENT_TARGET=$DARWIN_VERSION --prefix=$PRODUCT_DIR
32 fi
33
34 if [ $?DYLD_LIBRARY_PATH == 0 ]; then
35 export DYLD_LIBRARY_PATH=${PRODUCT_DIR}/lib:$DYLD_LIBRARY_PATH
36 else
37 export DYLD_LIBRARY_PATH=${PRODUCT_DIR}/lib
38 fi
39
40 elif [[ $FLAVOR =~ Linux ]] ; then
41
42 ./configure --enable-shared --prefix=$PRODUCT_DIR
43
44 else
45 echo "ERROR: EUPS FLAVOR:$FLAVOR not supported"
46 exit
47 fi
48
49 make
50 make install
51
52 export PATH=$PRODUCT_DIR/bin:$PATH
53 export LD_LIBRARY_PATH=${PRODUCT_DIR}/lib:$LD_LIBRARY_PATH
54
55 # Make sure python was build with zlib. If this fails, ensure that zlib is installed (developer version)
56 # and we want to use the python we just installed to install
57 $PRODUCT_DIR/bin/python -c "import zlib"